package com.ecep.contract.ds.contract.repository;

import java.util.Optional;

import org.springframework.stereotype.Repository;

import com.ecep.contract.ds.MyRepository;
import com.ecep.contract.model.ContractGroup;

@Repository
public interface ContractGroupRepository extends MyRepository<ContractGroup, Integer> {

    Optional<ContractGroup> findByCode(String code);

    Optional<ContractGroup> findFirstByNameContains(String name);

    Optional<ContractGroup> findByName(String name);
}
